package lt.ktu.diet;
class Product{
     public Product()    
    {
        name = "";
        price = calories = proteins = fats = carbohydrates = vitA = vitE = vitC = vitB1 = vitB2 = vitB3 = 0.0F;
        vitB6 = vitB12 = vitPP = minCa = minNa = minS = minP = minJ = Taste = 0.0F;
        dish=0;
    }

    public float getCalories()
    {
        return calories;
    }

    public float getCarbohydrates()
    {
        return carbohydrates;
    }

    public int getDish()
    {
        return dish;
    }

    public float getFats()
    {
        return fats;
    }

    public float getTaste()
    {
        return Taste;
    }

    public float getMinCa()
    {
        return minCa;
    }

    public float getMinNa()
    {
        return minNa;
    }

    public String getName()
    {
        return name;
    }

    public float getPrice()
    {
        return price;
    }

    public float getProteins()
    {
        return proteins;
    }

    public float getVitA()
    {
        return vitA;
    }

    public float getVitC()
    {
        return vitC;
    }

    public float getVitE()
    {
        return vitE;
    }

    public float getVitB1()
    {
        return vitB1;
    }

    public float getVitB2()
    {
        return vitB2;
    }

    public float getVitB3()
    {
        return vitB3;
    }

    public float getVitB6()
    {
        return vitB6;
    }

    public float getVitB12()
    {
        return vitB12;
    }

    public float getVitPP()
    {
        return vitPP;
    }

    public float getMinS()
    {
        return minS;
    }

    public float getMinP()
    {
        return minP;
    }

    public float getMinJ()
    {
        return minJ;
    }
    
// Andrej : Dopolnil novymi elementami
    
    public void setCalories(float s)
    {
        calories = s;
    }

    public void setCarbohydrates(float s)
    {
        carbohydrates = s;
    }

    public void setDish(int s)
    {
        dish = s;
    }

    public void setFats(float s)
    {
        fats = s;
    }

    public void setTaste(float s)
    {
        Taste = s;
    }

    public void setMinCa(float s)
    {
        minCa = s;
    }

    public void setMinNa(float s)
    {
        minNa = s;
    }

    public void setName(String s)
    {
        name = s;
    }

    public void setPrice(float s)
    {
        price = s;
    }

    public void setProteins(float s)
    {
        proteins = s;
    }

    public void setVitA(float s)
    {
        vitA = s;
    }

    public void setVitC(float s)
    {
        vitC = s;
    }

    public void setVitB1(float s)
    {
        vitB1 = s;
    }

    public void setVitB2(float s)
    {
        vitB2 = s;
    }

    public void setVitB3(float s)
    {
        vitB3 = s;
    }

    public void setVitB6(float s)
    {
        vitB6 = s;
    }

    public void setVitB12(float s)
    {
        vitB12 = s;
    }

    public void setVitPP(float s)
    {
        vitPP = s;
    }

    public void setVitE(float s)
    {
        vitE = s;
    }

    public void setMinS(float s)
    {
        minS = s;
    }

    public void setMinP(float s)
    {
        minP = s;
    }

    public void setMinJ(float s)
    {
        minJ = s;
    }

    
    //Andrej: perkeliau is pradzios:
    
    String name;
    float price;
    float calories;
    float proteins;
    float fats;
    float carbohydrates;
    float vitA;
    float vitE;
    float vitC;
    float vitB1;
    float vitB2;
    float vitB3;
    float vitB6;
    float vitB12;
    float vitPP;
    float minCa;
    float minNa; //Is tiesu - cia Natrij :)
    float minS;
    float minP;
    float minJ;
    float Taste;
    int dish;
    
}